<?php
namespace Lp\LibBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Class mappant la table groupe_rss de la bdd
 * 
 * @author ulrich, 07/09/11
 * 
 * @ORM\Entity
 * @ORM\Table(name="groupe_rss")
 * @ORM\Entity(repositoryClass="ALp\LibBundle\Repository\Groupe_RssRepository")
 */
class Groupe_Rss
{
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Id
	 * @ORM\Column(name="groupe_rss_id", type="integer")
	 * @ORM\GeneratedValue(strategy="AUTO")
	 */
	protected $id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\ManyToOne(targetEntity="Groupe", inversedBy="groupe_rsss")
	 * @ORM\JoinColumn(name="groupe_id", referencedColumnName="groupe_id")
	 */
	protected $groupe_id;
	
	/**
	 * @author ulrich, 07/09/11
	 * @var    DateTime
	 * 
	 * @ORM\Column(type="datetime")
	 */
	protected $date;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Column(type="text")
	 */
	protected $titre;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Column(type="text")
	 */
	protected $texte;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Column(type="string", length=255)
	 */
	protected $url;

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set date
     *
     * @param datetime $date
     */
    public function setDate($date)
    {
        $this->date = $date;
    }

    /**
     * Get date
     *
     * @return datetime 
     */
    public function getDate()
    {
        return $this->date;
    }

    /**
     * Set titre
     *
     * @param text $titre
     */
    public function setTitre($titre)
    {
        $this->titre = $titre;
    }

    /**
     * Get titre
     *
     * @return text 
     */
    public function getTitre()
    {
        return $this->titre;
    }

    /**
     * Set texte
     *
     * @param text $texte
     */
    public function setTexte($texte)
    {
        $this->texte = $texte;
    }

    /**
     * Get texte
     *
     * @return text 
     */
    public function getTexte()
    {
        return $this->texte;
    }

    /**
     * Set url
     *
     * @param string $url
     */
    public function setUrl($url)
    {
        $this->url = $url;
    }

    /**
     * Get url
     *
     * @return string 
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * Set groupe_id
     *
     * @param Lp\LibBundle\Entity\Groupe $groupeId
     */
    public function setGroupeId(\Lp\LibBundle\Entity\Groupe $groupeId)
    {
        $this->groupe_id = $groupeId;
    }

    /**
     * Get groupe_id
     *
     * @return Lp\LibBundle\Entity\Groupe 
     */
    public function getGroupeId()
    {
        return $this->groupe_id;
    }
}