<?php
namespace Lp\LibBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Class mappant la table galeie de la bdd
 * 
 * @author ulrich, 07/09/11
 * 
 * @ORM\Entity
 * @ORM\Table(name="photo")
 * @ORM\Entity(repositoryClass="ALp\LibBundle\Repository\PhotoRepository")
 */
class Photo
{
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Id
	 * @ORM\Column(name="photo_id", type="integer")
	 * @ORM\GeneratedValue(strategy="AUTO")
	 */
	protected $id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\ManyToOne(targetEntity="Concert", inversedBy="photos")
	 * @ORM\JoinColumn(name="concert_id", referencedColumnName="concert_id")
	 */
	protected $concert_id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Column(type="string", length=255)
	 */
	protected $file;

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set file
     *
     * @param string $file
     */
    public function setFile($file)
    {
        $this->file = $file;
    }

    /**
     * Get file
     *
     * @return string 
     */
    public function getFile()
    {
        return $this->file;
    }

    /**
     * Set concert_id
     *
     * @param Lp\LibBundle\Entity\Photo $concertId
     */
    public function setConcertId(\Lp\LibBundle\Entity\Photo $concertId)
    {
        $this->concert_id = $concertId;
    }

    /**
     * Get concert_id
     *
     * @return Lp\LibBundle\Entity\Photo 
     */
    public function getConcertId()
    {
        return $this->concert_id;
    }
}