<?php
namespace Lp\LibBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Class mappant la table setlist de la bdd
 * 
 * @author ulrich, 07/09/11
 * 
 * @ORM\Entity
 * @ORM\Table(name="setlist")
 * @ORM\Entity(repositoryClass="ALp\LibBundle\Repository\SetlistRepository")
 */
class Setlist
{
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Id
	 * @ORM\Column(name="setlist_id", type="integer")
	 * @ORM\GeneratedValue(strategy="AUTO")
	 */
	protected $id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\ManyToOne(targetEntity="Concert", inversedBy="setlists")
	 * @ORM\JoinColumn(name="concert_id", referencedColumnName="concert_id")
	 */
	protected $concert_id;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Column(type="string", length=255)
	 */
	protected $titre;
	
	/**
	 * @author ulrich, 07/09/11
	 * 
	 * @ORM\Column(type="smallint")
	 */
	protected $ordre;
	

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set titre
     *
     * @param string $titre
     */
    public function setTitre($titre)
    {
        $this->titre = $titre;
    }

    /**
     * Get titre
     *
     * @return string 
     */
    public function getTitre()
    {
        return $this->titre;
    }

    /**
     * Set ordre
     *
     * @param smallint $ordre
     */
    public function setOrdre($ordre)
    {
        $this->ordre = $ordre;
    }

    /**
     * Get ordre
     *
     * @return smallint 
     */
    public function getOrdre()
    {
        return $this->ordre;
    }

    /**
     * Set concert_id
     *
     * @param Lp\LibBundle\Entity\Concert $concertId
     */
    public function setConcertId(\Lp\LibBundle\Entity\Concert $concertId)
    {
        $this->concert_id = $concertId;
    }

    /**
     * Get concert_id
     *
     * @return Lp\LibBundle\Entity\Concert 
     */
    public function getConcertId()
    {
        return $this->concert_id;
    }
}